/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** Contact: Qt Software Information (qt-info@nokia.com)
**
** This file is part of a Qt Solutions component.
**
** GNU General Public License Usage
** This file may be used under the terms of the GNU
** General Public License versions 2.0 or 3.0 as published by the Free
** Software Foundation and appearing in the file LICENSE.GPL included in
** the packaging of this file.  Please review the following information
** to ensure GNU General Public Licensing requirements will be met:
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.  In addition, as a special
** exception, Nokia gives you certain additional rights. These rights
** are described in the Nokia Qt GPL Exception version 1.3, included in
** the file GPL_EXCEPTION.txt in this package.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
****************************************************************************/


#ifndef QSTATEACTION_P_H
#define QSTATEACTION_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#ifndef QT_STATEMACHINE_SOLUTION
#include <private/qobject_p.h>
#endif

QT_BEGIN_NAMESPACE

class QtStateAction;
class QtStateActionPrivate
#ifndef QT_STATEMACHINE_SOLUTION
    : public QObjectPrivate
#endif
{
    Q_DECLARE_PUBLIC(QtStateAction)
public:
    QtStateActionPrivate();
    ~QtStateActionPrivate();

    static QtStateActionPrivate *get(QtStateAction *q);

    void callExecute();

#ifdef QT_STATEMACHINE_SOLUTION
    QtStateAction *q_ptr;
#endif
};

class QtStateSetPropertyAction;
class QtStateSetPropertyActionPrivate : public QtStateActionPrivate
{
    Q_DECLARE_PUBLIC(QtStateSetPropertyAction)
public:
    QtStateSetPropertyActionPrivate() {}
    ~QtStateSetPropertyActionPrivate() {}

    static QtStateSetPropertyActionPrivate *get(QtStateSetPropertyAction *q);

    QObject *object;
    QByteArray name;
    QVariant value;
};

class QtStateInvokeMethodAction;
class QtStateInvokeMethodActionPrivate : public QtStateActionPrivate
{
    Q_DECLARE_PUBLIC(QtStateInvokeMethodAction)
public:
    QtStateInvokeMethodActionPrivate() {}
    ~QtStateInvokeMethodActionPrivate() {}

    static QtStateInvokeMethodActionPrivate *get(QtStateInvokeMethodAction *q);

    QObject *object;
    int methodIndex;
    QList<QVariant> args;
};

QT_END_NAMESPACE

#endif
